Name:		unuran
Version:	1.8.0
Release: 	5%{?dist}
Summary:	Universal Non-Uniform Random number generator

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://statistik.wu-wien.ac.at/unuran
Source0:	http://statistik.wu-wien.ac.at/unuran/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig, /sbin/install-info
Requires(preun): /sbin/install-info

%description

UNU.RAN  is an ANSI C library licensed under GPL. 
It contains universal (also called automatic or black-box) algorithms
that can generate random numbers from large classes of continuous or
discrete distributions, and also from practically all standard
distributions.

The library and an extensive online documentation are available at:

          -------------------------------------------
             http://statistik.wu-wien.ac.at/unuran/ 
          -------------------------------------------

%package devel
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries
Summary: Header and object files for unuran
License: GPLv2+

%description devel
Header and object files for unuran, and pdf docs.

%prep
%setup -q -n %{name}-%{version}


%build
# Workaround for gcc-4.3
#CFLAGS='%{optflags} -fno-optimize-sibling-calls' %configure --enable-shared --disable-static --enable-logging
%configure --enable-shared --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
#mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
#cp doc/unuran.pdf $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
rm $RPM_BUILD_ROOT/%{_libdir}/libunuran.la
rm $RPM_BUILD_ROOT/%{_includedir}/unuran_tests.h
rm $RPM_BUILD_ROOT/%{_infodir}/unuran_win32*
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

# clean examples
rm -rf __dist_examples __clean_examples
cp -a examples __clean_examples
make -C __clean_examples distclean
rm __clean_examples/Makefile*
mkdir __dist_examples
mv __clean_examples __dist_examples/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/unuran.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/unuran.info %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS KNOWN-PROBLEMS THANKS UPGRADE
%{_infodir}/unuran*
%{_libdir}/libunuran.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/unuran*.h
%{_libdir}/libunuran.so
%doc doc/unuran.pdf __dist_examples/examples

%check # enable if you want - takes a long time
SEED=2742664 make check

%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 27 2010 Neal Becker <ndbecker2@gmail.com> - 1.8.0-1
- update to 1.8.0

* Tue Apr 27 2010 Neal Becker <ndbecker2@gmail.com> - 1.7.1-1
- Update to 1.7.1

* Fri Apr 23 2010 Neal Becker <ndbecker2@gmail.com> - 1.7.0-1
- Update to 1.7.0

* Fri Apr 23 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.0-1
- Update to 1.6.0

* Sat Oct 17 2009 Neal Becker <ndbecker2@gmail.com> - 1.4.1-1
- Update to 1.4.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan  9 2009 Neal Becker <ndbecker2@gmail.com> - 1.3.1-1
- Update to 1.3.1 final

* Thu Jan  8 2009 Neal Becker <ndbecker2@gmail.com> - 1.3-1.devel%{?dist}
- Update to 1.3.devel

* Thu Dec 18 2008 Neal Becker <ndbecker2@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Tue Apr 29 2008 Neal Becker <ndbecker2@gmail.com> - 1.2.4-p1-1
- Update to 1.2.4-p1 (remove failing test)

* Tue Apr 29 2008 Neal Becker <ndbecker2@gmail.com> - 1.2.4-1
- Update to 1.2.4 (fixes a roundoff problem in %%check on i386)

* Tue Apr 22 2008 Neal Becker <ndbecker2@gmail.com> - 1.2.2-1
- debug for make check

* Mon Apr 21 2008 Neal Becker <ndbecker2@gmail.com> - 1.2.2-1
- Update to 1.2.2

* Sun Mar 16 2008 Neal Becker <ndbecker2@gmail.com> - 1.2.1-2
- -fno-optimize-sibling-calls workaround for gcc-4.3

* Tue Feb 19 2008 Neal Becker <ndbecker2@gmail.com> - 1.2.1-1
- Update to 1.2.1

* Tue Feb 19 2008 Neal Becker <ndbecker2@gmail.com> - 1.2.0-1
- Update to 1.2.0
- Re-enable check

* Sat Feb  9 2008 Neal Becker <ndbecker2@gmail.com> - 1.1.0-6
- Patches from pertusus@free.fr

* Fri Jan 18 2008 Neal Becker <ndbecker2@gmail.com> - 1.1.0-5
- rm %%{_infodir}/dir

* Wed Jan  9 2008 Neal Becker <ndbecker2@gmail.com> - 1.1.0-4
- Add examples
- install -p
- Add check

* Tue Jan  8 2008 Neal Becker <ndbecker2@gmail.com> - 1.1.0-3
- Move devel stuff to devel package

* Wed Dec 26 2007 Neal Becker <ndbecker2@gmail.com> - 1.1.0-2
- Fix install-info stuff
- docdir *.spec

* Wed Dec 26 2007 Neal Becker <ndbecker2@gmail.com> - 1.1.0-1
- Update to 1.1.0
- 1nstall unuran.pdf
- disable-static
- install-info

* Fri May 12 2006 Neal Becker <ndbecker2@gmail.com> - 0.7.2-2
- rm unuran_tests.h
- Add post, postun
- Fix files

